<div dir="ltr"><br><div class="gmail_extra"><br><div class="gmail_quote">On 22 October 2015 at 14:39, igor_ubuntu <span dir="ltr"><<a href="mailto:sitelve@gmail.com" target="_blank">sitelve@gmail.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr"><div>I propose to consider a specific examples.<br><br>1-<br>Suppose that company <a href="http://source.ffmpeg.org" target="_blank">source.ffmpeg.org</a> released a new stable version of the ffmpeg - 2.9-stable.<br><span lang="en"><span>At this time</span></span> user  goes and removes the directory of source codes  /home/user/builds/cin-cve (then he does git clone ... )<br>or<br>removes ffmpeg directory from cinelerra sources ( /home/user/builds/cin-cve/ffmpeg )<br> In this case (as you says)   the current version of ffmpeg is cloned by configure. Ok.<br>But what version is cloned (in this case) - 2.8.*-stable or 2.9-stable ?<span lang="en"><span><br></span></span></div></div></blockquote><div><br></div><div>When this happens after needed changes in cinelerra are done and user does git pull in the cin-cve configure clones 2.9.x<br><br>When cinelerrra has not needed changes configure clones 2.8.x<br><br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir="ltr"><div><span lang="en"><span><br>2-<br></span></span>Suppose that company <a href="http://source.ffmpeg.org" target="_blank">source.ffmpeg.org</a> released a new stable version of the ffmpeg - 2.9-stable.<br><span lang="en"><span>At this time</span> <span>there were changes in сve-git<br></span></span></div><span lang="en"><span>User makes  git clone ..   ./autogen   ./configure <br></span></span><span lang="en"><span><span lang="en"><span>User does not</span> <span>remove directories</span><span></span></span></span><span> </span></span><span lang="en"><span><span lang="en"><span></span></span><span lang="en"><span>/home/user/builds/</span></span><span lang="en"><span><span lang="en"><span>cin-cve/ffmpeg<br></span></span></span></span></span></span>Herewith 2.9-version is not cloned. <span lang="en"><span>User works with 2.8*<br> Do I understand correctly</span><span>?</span></span></div></blockquote><div><br></div><div>Yes. <br></div></div><br><br></div></div>